Bug 847980 - Review Request: maven-plugin-annotations - Maven Plugin Java 5 Annotations
Review Request: maven-plugin-annotations - Maven Plugin Java 5 Annotations
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Stanislav Ochotnicky
Fedora Extras Quality Assurance
Trivial
:
Depends On:
Blocks: 845289 845812
  Show dependency treegraph
 
Reported: 2012-08-14 05:13 EDT by Mikolaj Izdebski
Modified: 2012-09-07 23:04 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-15 07:39:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sochotni: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mikolaj Izdebski 2012-08-14 05:13:26 EDT
Spec URL: http://mizdebsk.fedorapeople.org/review/maven-plugin-annotations/maven-plugin-annotations-3.1-1.fc19.spec
SRPM URL: http://mizdebsk.fedorapeople.org/review/maven-plugin-annotations/maven-plugin-annotations-3.1-1.fc19.src.rpm
Description: This package provides Java 5 annotations to use in Mojos in plugins for Apache Maven.
Fedora Account System Username: mizdebsk
Comment 1 Stanislav Ochotnicky 2012-08-15 04:23:06 EDT
I'll review this
Comment 2 Stanislav Ochotnicky 2012-08-15 05:12:26 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Permissions on files are set properly.
[x]: Package does not contain duplicates in %files.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package complies to the Packaging Guidelines
[-]: Large documentation files are in a -doc subpackage, if required.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: Rpmlint is run on all rpms the build produces.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.

Java:
[x]: Pom files have correct add_maven_depmap call
[x]: Fully versioned dependency in subpackages, if present.
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL5 is required
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX / PatchY prefixed with %{name}.
[x]: SourceX is a working URL.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.

Rpmlint (installed packages)
----------------------------
# rpmlint maven-plugin-annotations
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'

Rpmlint
-------
Checking: maven-plugin-annotations-javadoc-3.1-1.fc19.noarch.rpm
          maven-plugin-annotations-3.1-1.fc19.noarch.rpm
          maven-plugin-annotations-3.1-1.fc19.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.


Requires
--------
maven-plugin-annotations-javadoc-3.1-1.fc19.noarch.rpm (rpmlib, GLIBC filtered):

    jpackage-utils

maven-plugin-annotations-3.1-1.fc19.noarch.rpm (rpmlib, GLIBC filtered):

    java
    jpackage-utils
    maven

Provides
--------
maven-plugin-annotations-javadoc-3.1-1.fc19.noarch.rpm:

    maven-plugin-annotations-javadoc = 3.1-1.fc19

maven-plugin-annotations-3.1-1.fc19.noarch.rpm:

    maven-plugin-annotations = 3.1-1.fc19
    mvn(org.apache.maven.plugin-tools:maven-plugin-annotations) = 3.1

MD5-sum check
-------------
http://repo2.maven.org/maven2/org/apache/maven/plugin-tools/maven-plugin-annotations/3.1/maven-plugin-annotations-3.1-sources.jar :
  CHECKSUM(SHA256) this package     : db640b8eb6f314e7d4d497cc6e123a712fda60c5eb373536f3d9d76642cc0dc4
  CHECKSUM(SHA256) upstream package : db640b8eb6f314e7d4d497cc6e123a712fda60c5eb373536f3d9d76642cc0dc4
http://repo2.maven.org/maven2/org/apache/maven/plugin-tools/maven-plugin-annotations/3.1/maven-plugin-annotations-3.1.pom :
  CHECKSUM(SHA256) this package     : e48a5204cfacc45a0885ff5ca0a6e78001d472e21ec1d7255e3210b53f0ee1a5
  CHECKSUM(SHA256) upstream package : e48a5204cfacc45a0885ff5ca0a6e78001d472e21ec1d7255e3210b53f0ee1a5


Generated by fedora-review 0.2.3 (6315f8e) last change: 2012-08-09
Command line :./try-fedora-review -b 847980


Looks good. It would be nice to describe situation with code.google.com project and how they renamed somewhere in the specfile for future reference. 

APPROVED
Comment 3 Mikolaj Izdebski 2012-08-15 05:34:40 EDT
New Package SCM Request
=======================
Package Name: maven-plugin-annotations
Short Description: Maven Plugin Java 5 Annotations
Owners: mizdebsk
Branches: f18
Comment 4 Gwyn Ciesla 2012-08-15 06:56:51 EDT
Git done (by process-git-requests).
Comment 5 Michel Alexandre Salim 2012-09-07 23:04:36 EDT
(In reply to comment #3)
> New Package SCM Request
> =======================
> Package Name: maven-plugin-annotations
> Short Description: Maven Plugin Java 5 Annotations
> Owners: mizdebsk
> Branches: f18

Hi Mikolaj,

Will you be pushing the F18 build on Bodhi? An update to clojure-maven-plugin depends on this package -- I've added it to the buildroot override so I can build it, but I would rather not publish the update myself.

Thanks!

Note You need to log in before you can comment on or make changes to this bug.